summaryrefslogtreecommitdiff
path: root/resources/scripts/update/blobs/download
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-08-17 11:41:58 +0100
committerLeah Rowe <leah@libreboot.org>2023-08-17 11:50:06 +0100
commit0848622799b8c627cd650d848ffa7d592d80b26d (patch)
tree54c9c187d704abb83ba5c7a40f4bce2355b0e165 /resources/scripts/update/blobs/download
parent8459e33bbcbe70cc08f449c3d46f1310c65680a1 (diff)
remove download scripts, consolidate into script
most of them were just calling the gitclone script, so remove them. the grub script was treating gnulib as a dependency. i've now added the ability to grab 1 dependency, in the gitclone script (it should be expanded later to support multiple dependencies) the gitclone script has been renamed to "fetch". the "fetch_trees" script does more or less the same thing, but calls "fetch" and handles multiple revisions if a project needs that this is more efficient, and slightly reduces the code size of lbmk! Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts/update/blobs/download')
-rwxr-xr-xresources/scripts/update/blobs/download10
1 files changed, 5 insertions, 5 deletions
diff --git a/resources/scripts/update/blobs/download b/resources/scripts/update/blobs/download
index b4b74c1b..0a28778a 100755
--- a/resources/scripts/update/blobs/download
+++ b/resources/scripts/update/blobs/download
@@ -184,7 +184,7 @@ build_dependencies()
{
if [ ! -d me_cleaner ]; then
printf "downloading me_cleaner\n"
- ./download me_cleaner || fail "could not download me_cleaner"
+ ./fetch me_cleaner || fail "could not download me_cleaner"
fi
if [ ! -d ${cbdir} ]; then
printf "downloading coreboot\n"
@@ -193,17 +193,17 @@ build_dependencies()
fi
if [ ! -d bios_extract ]; then
printf "downloading bios_extract\n"
- ./download bios_extract \
+ ./fetch bios_extract \
|| fail "could not download bios_extract"
fi
if [ ! -d biosutilities ]; then
printf "downloading biosutilities\n"
- ./download biosutilities \
+ ./fetch biosutilities \
|| fail "could not download biosutilities"
fi
if [ ! -d uefitool ]; then
printf "download uefitool (for UEFIExtract)\n"
- ./download uefitool \
+ ./fetch uefitool \
|| fail "could not download uefitool"
fi
if [ ! -f uefitool/uefiextract ]; then
@@ -239,7 +239,7 @@ download_blobs()
download_e6400vga || _failed="${_failed} e6400vga"
;;
*MRC*)
- ./download mrc || _failed="${_failed} mrc"
+ ./update blobs mrc || _failed="${_failed} mrc"
;;
esac
done